Page MenuHomePhabricator

Welcome Survey: disable implicit escape of Variation C
Closed, ResolvedPublic

Description

This task is to make the decision ensure the "SKIP" action is explicitly selected in variation C of the Welcome survey by disabling the ability to dismiss it via pressing escape or clicking outside of the modal.

Per @SBisson, this involves changing the following:
WelcomeSurveyDialog.static.escapable = false;

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : wmf/1.33.0-wmf.13Welcome survey C: make unescapable
mediawiki/extensions/GrowthExperiments : wmf/1.33.0-wmf.12Welcome survey C: make unescapable
mediawiki/extensions/GrowthExperiments : masterWelcome survey C: make unescapable

Event Timeline

RHo created this task.Jan 16 2019, 7:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 7:41 PM

Change 484751 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Welcome survey C: make unescapable

https://gerrit.wikimedia.org/r/484751

Making surveys unskippable sounds like a bad idea pretty much by principle.

RHo added a comment.Jan 16 2019, 9:46 PM

Making surveys unskippable sounds like a bad idea pretty much by principle.

To clarify, this is not making the survey unskippable whatsoever, there is a prominent SKIP button shown in the modal. This is just removing the extra, unintended ways that users might accidentally close the modal by clicking outside of the modal window or pressing the escape key

RHo renamed this task from Make variation C of the Welcome Survey non-escapable to Disable implicit escape of variation C of the Welcome Survey.Jan 16 2019, 9:53 PM

Change 484751 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Welcome survey C: make unescapable

https://gerrit.wikimedia.org/r/484751

Change 485027 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.12] Welcome survey C: make unescapable

https://gerrit.wikimedia.org/r/485027

Change 485033 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.13] Welcome survey C: make unescapable

https://gerrit.wikimedia.org/r/485033

Change 485027 abandoned by Sbisson:
Welcome survey C: make unescapable

Reason:
Wrong branch

https://gerrit.wikimedia.org/r/485027

MMiller_WMF renamed this task from Disable implicit escape of variation C of the Welcome Survey to Welcome Survey: disable implicit escape of Variation C.Jan 17 2019, 6:03 PM

Change 485033 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.33.0-wmf.13] Welcome survey C: make unescapable

https://gerrit.wikimedia.org/r/485033

Mentioned in SAL (#wikimedia-operations) [2019-01-17T19:29:25Z] <catrope@deploy1001> Synchronized php-1.33.0-wmf.13/extensions/GrowthExperiments/: Make welcome survey C unescapable (T213958) (duration: 00m 52s)

Checked in kowiki and cswiki - 'Skip the survey` should be clicked to dismiss the survey.

MMiller_WMF closed this task as Resolved.Jan 23 2019, 1:09 AM